﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;

namespace LEDApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void chkLED_CheckedChanged(object sender, EventArgs e)
        {
            Task digitalOutTask = new Task();

            digitalOutTask.DOChannels.CreateChannel("dev1/Port0/line0", "myDAChannel", ChannelLineGrouping.OneChannelForEachLine);
           
            DigitalSingleChannelWriter writer = new DigitalSingleChannelWriter(digitalOutTask.Stream);

            bool digitalDataOut = chkLed1.Checked;

            writer.WriteSingleSampleSingleLine(true, digitalDataOut);
        }
    }
}